Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.layers
Class TrackLayer

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.layers.AbstractLayer
                  gov.nasa.worldwind.layers.TrackLayer

All Implemented Interfaces:
  AVList, Disposable, Layer, WWObject, PropertyChangeListener, EventListener

    public class TrackLayer

extends AbstractLayer

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`TrackLayer(List<Track> tracks)`

Method Summary
`void` | `dispose()`
`protected void` | `doPick(DrawContext dc, Point pickPoint)`
`protected void` | `doRender(DrawContext dc)`
`String` | `getIconFilePath()`
`int` | `getLowerLimit()`
`double` | `getMarkerElevation()`
`double` | `getMarkerPixels()`
`Material` | `getMaterial()`
`double` | `getMinMarkerSize()`
`int` | `getNumPoints()`
`int` | `getUpperLimit()`
`void` | `setIconFilePath(String iconFilePath)`
`void` | `setLowerLimit(int lowerLimit)`
`void` | `setMarkerElevation(double markerElevation)`
`void` | `setMarkerPixels(double markerPixels)`
`void` | `setMaterial(Material material)`
`void` | `setMinMarkerSize(double minMarkerSize)`
`void` | `setUpperLimit(int upperLimit)`
`String` | `toString()`

Methods inherited from class gov.nasa.worldwind.layers.AbstractLayer
`getMaxActiveAltitude, getMinActiveAltitude, getName, getOpacity, isEnabled, isLayerActive, isLayerInView, isPickEnabled, pick, render, setEnabled, setMaxActiveAltitude, setMinActiveAltitude, setName, setOpacity, setPickEnabled`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### TrackLayer

    public TrackLayer(List<Track> tracks)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `AbstractLayer`

### doPick

    protected void doPick(DrawContext dc,
                          Point pickPoint)

  Overrides:
    `doPick` in class `AbstractLayer`

### doRender

    protected void doRender(DrawContext dc)

  Specified by:
    `doRender` in class `AbstractLayer`

### getIconFilePath

    public String getIconFilePath()

### getLowerLimit

    public int getLowerLimit()

### getMarkerElevation

    public double getMarkerElevation()

### getMarkerPixels

    public double getMarkerPixels()

### getMaterial

    public Material getMaterial()

### getMinMarkerSize

    public double getMinMarkerSize()

### getNumPoints

    public int getNumPoints()

### getUpperLimit

    public int getUpperLimit()

### setIconFilePath

    public void setIconFilePath(String iconFilePath)

### setLowerLimit

    public void setLowerLimit(int lowerLimit)

### setMarkerElevation

    public void setMarkerElevation(double markerElevation)

### setMarkerPixels

    public void setMarkerPixels(double markerPixels)

### setMaterial

    public void setMaterial(Material material)

### setMinMarkerSize

    public void setMinMarkerSize(double minMarkerSize)

### setUpperLimit

    public void setUpperLimit(int upperLimit)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractLayer`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD